Bug 1172437 - Add plurals to the new editor
Summary: Add plurals to the new editor
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI, Usability, WebSite (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: Unspecified Unspecified
unspecified
high
Target Milestone: ---
: 3.6
Assignee: Alex Eng
QA Contact: Damian Jansen
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-10 04:10 UTC by Luke Brooker
Modified: 2016-04-18 09:37 UTC (History)
5 users (show)

Fixed In Version: 3.6.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-2531)
Doc Type: Bug Fix
Doc Text:
Story Points: 5
Clone Of:
Environment:
Last Closed: 2015-03-19 07:10:17 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 1 Carlos Munoz 2014-12-10 04:59:23 UTC
- Update UI to display and edit plurals.
- Keyboard shortcuts: plurals are navigated sensibly.
- Copy Source should copy plurals.
- Rest API will support plurals (mock server).
- Make sure plurals save states are correct and consistent with the current editor (e.g. all plurals are need to save as approved).

Comment 2 Damian Jansen 2015-01-22 00:43:29 UTC
https://github.com/zanata/zanata-server/pull/667

Comment 3 Alex Eng 2015-01-27 03:33:08 UTC
Release branch pull request:
https://github.com/zanata/zanata-server/pull/674

Comment 4 Damian Jansen 2015-01-27 23:03:42 UTC
Verified merge (release, master) at 4793c88fd098947972d1ca9b855870251755ceab


Note You need to log in before you can comment on or make changes to this bug.